1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

LOTR: The Third Age B-up need patch?

Discussion in 'PS2 - DVD backup discussion' started by teggy, Nov 5, 2004.

  1. teggy

    teggy Regular member

    Joined:
    Oct 23, 2004
    Messages:
    459
    Likes Received:
    0
    Trophy Points:
    26
    Hi, this game has just been released in the UK today, After work im gonna get it but as it's EA and recent does the backup need a patch? My swap magic box says no longer need to Patch EA games...

    If it does need a patch, where do I aqcuire it?
     
  2. teggy

    teggy Regular member

    Joined:
    Oct 23, 2004
    Messages:
    459
    Likes Received:
    0
    Trophy Points:
    26
    Ok I read another thread and it says if you have cd loader u do not need a patch.

    Well I have DVD loader, as the game will be backed up onto DVD-R. So how does dvd loader work?

    Is it:-

    Swap Magic DVD, use slide to load DVD Loader, press eject when DVD Loader prompts and insert EA backup, press eject to send tray back in & hit x to start game?
     

Share This Page